var TiApp = require('Titanium/TiApp');
var STPAddCardViewController = require('Stripe/STPAddCardViewController');

var STPAddCardViewControllerDelegate = require('./STPAddCardViewControllerDelegate');

export default class TiStripe {
	constructor(opts = {}) {
		this.publishableKey = opts.publishableKey;
	}
	showCardViewController() {
		const addCardViewDelegate = new STPAddCardViewControllerDelegate();
		let addCardViewController = new STPAddCardViewController();

		addCardViewDelegate.addCardViewControllerDidCancel = function (
			cardViewController
		) {
			console.log('didCancel');
		};
		addCardViewController.delegate = addCardViewDelegate;
		TiApp.app().showModalController(addCardViewController, true);
	}
}
